Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save.converters
Class TestResultWrapperConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
          org.apache.jmeter.save.converters.TestResultWrapperConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

public class TestResultWrapperConverter
extends com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

XStream Class to convert TestResultWrapper

Constructor Summary
`TestResultWrapperConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

Method Summary
`boolean` | `canConvert(Class arg0)`
`static String` | `getVersion()` Returns the converter version; used to check for possible incompatibilities
`void` | `marshal(Object arg0, com.thoughtworks.xstream.io.HierarchicalStreamWriter arg1, com.thoughtworks.xstream.converters.MarshallingContext arg2)`
`Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)` Read test results from JTL files and pass them to the visualiser directly.

Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
`createCollection, mapper, readItem, writeItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestResultWrapperConverter

    public TestResultWrapperConverter(com.thoughtworks.xstream.mapper.Mapper arg0)

Parameters:
  `arg0` -

Method Detail

### getVersion

    public static String getVersion()

  Returns the converter version; used to check for possible incompatibilities

### canConvert

    public boolean canConvert(Class arg0)

### marshal

    public void marshal(Object arg0,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter arg1,
                        com.thoughtworks.xstream.converters.MarshallingContext arg2)

### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

  Read test results from JTL files and pass them to the visualiser directly. If the ResultCollector helper object is defined, then pass the samples to that rather than adding them to the test result wrapper.

  Returns:
    the test result wrapper (may be empty)
  See Also:
    `Converter.unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader, com.thoughtworks.xstream.converters.UnmarshallingContext)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.